AbstractPropertyHolder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class AbstractPropertyHolder

    java.lang.Object
      org.hibernate.cfg.AbstractPropertyHolder

All Implemented Interfaces:
  PropertyHolder

Direct Known Subclasses:
  ClassPropertyHolder, CollectionPropertyHolder, ComponentPropertyHolder

    public abstract class AbstractPropertyHolder

extends Object
implements PropertyHolder

Field Summary
`protected AbstractPropertyHolder` | `parent`

Constructor Summary
`AbstractPropertyHolder(String path, PropertyHolder parent, org.hibernate.annotations.common.reflection.XClass clazzToProcess, Mappings mappings)`

Method Summary
`JoinTable` | `getJoinTable(org.hibernate.annotations.common.reflection.XProperty property)` Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.
`protected Mappings` | `getMappings()`
`Column[]` | `getOverriddenColumn(String propertyName)` Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.
`JoinColumn[]` | `getOverriddenJoinColumn(String propertyName)` Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.
`JoinTable` | `getOverriddenJoinTable(String propertyName)` Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.
`String` | `getPath()`
`boolean` | `isInIdClass()`
`protected void` | `setCurrentProperty(org.hibernate.annotations.common.reflection.XProperty property)` property can be null
`void` | `setInIdClass(Boolean isInIdClass)`
`void` | `setParentProperty(String parentProperty)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cfg.PropertyHolder
`addJoin, addProperty, addProperty, getClassName, getEntityName, getEntityOwnerClassName, getIdentifier, getPersistentClass, getTable, isComponent, isEntity, isOrWithinEmbeddedId`

Field Detail

### parent

    protected AbstractPropertyHolder parent

Constructor Detail

### AbstractPropertyHolder

    public AbstractPropertyHolder(String path,
                                  PropertyHolder parent,
                                  org.hibernate.annotations.common.reflection.XClass clazzToProcess,
                                  Mappings mappings)

Method Detail

### isInIdClass

    public boolean isInIdClass()

  Specified by:
    `isInIdClass` in interface `PropertyHolder`

### setInIdClass

    public void setInIdClass(Boolean isInIdClass)

  Specified by:
    `setInIdClass` in interface `PropertyHolder`

### getPath

    public String getPath()

  Specified by:
    `getPath` in interface `PropertyHolder`

### getMappings

    protected Mappings getMappings()

### setCurrentProperty

    protected void setCurrentProperty(org.hibernate.annotations.common.reflection.XProperty property)

  property can be null

### getOverriddenColumn

    public Column[] getOverriddenColumn(String propertyName)

  Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.

  Specified by:
    `getOverriddenColumn` in interface `PropertyHolder`

### getOverriddenJoinColumn

    public JoinColumn[] getOverriddenJoinColumn(String propertyName)

  Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.

  Specified by:
    `getOverriddenJoinColumn` in interface `PropertyHolder`

### getJoinTable

    public JoinTable getJoinTable(org.hibernate.annotations.common.reflection.XProperty property)

  Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.

  Specified by:
    `getJoinTable` in interface `PropertyHolder`

### getOverriddenJoinTable

    public JoinTable getOverriddenJoinTable(String propertyName)

  Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.

### setParentProperty

    public void setParentProperty(String parentProperty)

  Specified by:
    `setParentProperty` in interface `PropertyHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.